TTF_SetFontKerning(3)

NAME
TTF_SetFontKerning - Set if kerning is enabled for a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

void TTF_SetFontKerning(TTF_Font *font, bool enabled);

DESCRIPTION
Newly-opened fonts default to allowing kerning. This is generally a good policy unless you have a strong reason to disable it, as it tends to produce better rendering (with kerning disabled, some fonts might render the word kerning as something that looks like keming for example).

This updates any TTF_Text
 objects using this font.

FUNCTION PARAMETERS

font
    the font to set kerning on.

enabled
    true to enable kerning, false to disable.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetFontKerning(3)